/*
 * *************************************************
 * Copyright (c) 2019 QMTH. All Rights Reserved. Created by Deason on 2019-09-24
 * 14:10:50. *************************************************
 */

package cn.com.qmth.examcloud.core.questions.base.bean;

import io.swagger.annotations.ApiModelProperty;

public class PagerQuery {

    @ApiModelProperty(value = "第几页(从1开始)")
    protected Integer pageNumber;

    @ApiModelProperty(value = "每页条数")
    protected Integer pageSize;

    public Integer getPageNumber() {
        // 默认值
        if (pageNumber == null || pageNumber < 1) {
        	pageNumber = 1;
        }

        return pageNumber;
    }

    public Integer getPageSize() {
        // 默认值
        if (pageSize == null || pageSize < 1) {
            pageSize = 10;
        }

        return pageSize;
    }

    public void setPageNumber(Integer pageNumber) {
        this.pageNumber = pageNumber;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}